WMWORK(1)

NAME
wmwork - keep track of time worked on projects

SYNOPSIS
wmwork [options]

DESCRIPTION
wmwork provides a monitor on a 64x64 mini window that helps you keeping track of your time. The idea is based on the program Worklog written by Truxton King Fulton II. In contrast to Worklog wmwork is a graphical application designed to work with the WindowMaker dock, but will work with other window managers as well.

OPTIONS

-d, --days
    displays time in ddd.hh:mm instead of hhh:mm:ss. Note that if one timer is at least 1000 hours large this will be the case anyway.

-f, --force
    overwrite stale lock files. Use this if wmwork says that it's already running but it isn't.

-h, --help
    display a command line summary.

-v, --version
    display the version number.

--display=id
    set the display to use, e.g. --display=:0.0.

--geometry=pos
    set the position of the dock app, e.g. --geometry=+10+10. Note that the size (64x64) is hard-coded and cannot be changed.

USAGE
When wmwork is started, the uppermost line shows the accumulated time spent on the project, identified by a three letter code in the third line. The second line shows the current time spent on the project and is initially zero.

The button V starts the timer, the button || pauses it. The button X stops the timer, saving the accumulated time in ~/.wmwork/worklog, adding the current session time to ~/.wmwork/worklog.XYZ and resetting the latter.

The buttons < and > switch between the projects found in the file ~/.wmwork/worklog. This can be done only if the timer is neither running nor paused.

FILES

~/.wmwork/worklog
    contains the projects configuration and log summaries.

Each line has the form identifier:timestamp[:comment]. Empty lines and lines beginning with a # are ignored. Only the first three characters of the (case-insensitive) identifier are relevant. When wmwork is overwriting ~/.wmwork/worklog it cuts the identifiers down that way.

~/.wmwork/???
    contains human readable timestamps for the project XYZ, where XYZ is the truncated identifier from ~/.wmwork/worklog.

Having multiple entries of the same identifier in ~/.wmwork/worklog is possible. They are counted independently, but will share the same project file.

BUGS
Please send any bugs to <@PACKAGE_BUGREPORT@>. Debian users are encouraged to use the Debian Bug Tracking System <http://bugs.debian.org/wmwork>.

AUTHOR
wmwork was written by Martin A. Godisch <martin@godisch.de>. It is based on the program wmppp written by Martijn Pieterse and Antoine Nulle. Thanks to the following people, who have contributed to wmwork:

Adam Lackorzynski <adam@os.inf.tu-dresden.de>
Gordon Fraser <gordon@freakzone.net>
Daniel Tschan <tschan@devzone.ch>
Alexey Dokuchaev <danfe@danfe.ru>
Josep Portella Florit <jpf@sdf.lonestar.org>
Ben Stern <ben.stern@gmail.com>